Freeciv-3.3: info_tile Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Protected Member Functions | Private Member Functions | Private Attributes
info_tile Class Reference

`#include <mapview.h>`

Inheritance diagram for info_tile:

## Public Member Functions

| info_tile (struct tile *ptile, QWidget *parent=0)

## Data Fields

struct tile * | itile

## Protected Member Functions

void | paintEvent (QPaintEvent *event)
void | paint (QPainter *painter, QPaintEvent *event)

## Private Member Functions

void | calc_size ()
void | update_font (const QString &name, const QFont &font)

## Private Attributes

QFont | info_font
QStringList | str_list

## Detailed Description

Definition at line 116 of file mapview.h.

## Constructor & Destructor Documentation

## ◆ info_tile()

info_tile::info_tile | ( | struct tile * | ptile,
|  | QWidget * | parent = `0`
| ) |  |

Constructor for info_tile

Definition at line 1356 of file mapview.cpp.

## Member Function Documentation

## ◆ calc_size()

void info_tile::calc_size | ( |  | ) |

private

Calculates size of info_tile and moves it to be fully visible

Definition at line 1367 of file mapview.cpp.

Referenced by info_tile(), and update_font().

## ◆ paint()

void info_tile::paint | ( | QPainter * | painter,
|  | QPaintEvent * | event
| ) |  |

protected

Redirected paint event for info_tile

Definition at line 1406 of file mapview.cpp.

Referenced by paintEvent().

## ◆ paintEvent()

void info_tile::paintEvent | ( | QPaintEvent * | event | ) |

protected

Paint event for info_tile

Definition at line 1423 of file mapview.cpp.

## ◆ update_font()

void info_tile::update_font | ( | const QString & | name,
|  | const QFont & | font
| ) |  |

private

Updates fonts

Definition at line 1435 of file mapview.cpp.

## Field Documentation

## ◆ info_font

QFont info_tile::info_font

private

Definition at line 119 of file mapview.h.

Referenced by calc_size(), info_tile(), paint(), and update_font().

## ◆ itile

struct tile* info_tile::itile

Definition at line 122 of file mapview.h.

Referenced by calc_size(), and info_tile().

## ◆ str_list

QStringList info_tile::str_list

private

Definition at line 127 of file mapview.h.

Referenced by calc_size(), and paint().